Bug 1406416 - EL7 autoload.php requires Fedora Autoloader
Summary: EL7 autoload.php requires Fedora Autoloader
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: drush
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-20 13:18 UTC by Sebastien
Modified: 2017-01-06 05:05 UTC (History)
1 user (show)

Fixed In Version: drush-8.1.8-3.fc25 drush-8.1.8-3.fc24 drush-8.1.8-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-28 20:21:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Sebastien 2016-12-20 13:18:53 UTC
Description of problem:

EL7 autoload.php requires Fedora Autoloader.

Version-Release number of selected component (if applicable):

8.1.8-2.el7

How reproducible:

Every time.

Steps to Reproduce:
1. yum install drush (drush-8.1.8-2.el7.noarch.rpm)
2. drush
3.

Actual results:

PHP Warning:  require_once(/usr/share/php/Fedora/Autoloader/autoload.php): failed to open stream: No such file or directory in /usr/share/drush/autoload.php on line 6
PHP Fatal error:  require_once(): Failed opening required '/usr/share/php/Fedora/Autoloader/autoload.php' (include_path='.:/usr/share/pear:/usr/share/php') in /usr/share/drush/autoload.php on line 6

Expected results:

Execute a drush command. Run `drush help [command]` to view command-specific help.  Run `drush topic` to read even more documentation.
...

Additional info:

Previous release had a test to use Symfony ClassLoader instead.

Comment 1 Fedora Update System 2016-12-20 13:58:03 UTC
drush-8.1.8-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1041b3bef8

Comment 2 Fedora Update System 2016-12-20 13:58:10 UTC
drush-8.1.8-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ce98fb44d4

Comment 3 Fedora Update System 2016-12-20 13:58:14 UTC
drush-8.1.8-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-737cafc977

Comment 4 Fedora Update System 2016-12-20 13:58:18 UTC
drush-8.1.8-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cc2f5c0425

Comment 5 Shawn Iwinski 2016-12-20 14:03:10 UTC
Thanks for reporting this issue Sebastien.  As you can tell by the previous comments from the Fedora Update System, I have submitted a fix for this.

I have set the stable threshold for this update to 1 so if you test it out after the request hits the testing repo please add karma to the update so it can get to the stable updates repo sooner: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1041b3bef8

In the meantime if you need the fix sooner, run `dnf install php-fedora-autoloader` and it should fix your issue.

Comment 6 Fedora Update System 2016-12-20 19:21:32 UTC
drush-8.1.8-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-737cafc977

Comment 7 Fedora Update System 2016-12-20 19:22:06 UTC
drush-8.1.8-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ce98fb44d4

Comment 8 Fedora Update System 2016-12-20 20:49:19 UTC
drush-8.1.8-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1041b3bef8

Comment 9 Fedora Update System 2016-12-28 20:21:11 UTC
drush-8.1.8-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-12-28 21:49:20 UTC
drush-8.1.8-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-01-06 05:05:25 UTC
drush-8.1.8-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.